CREATE TABLE cz_ss_items_b (
    INVENTORY_ITEM_ID                 NUMBER(18, 0) ,
    ORGANIZATION_ID                   NUMBER(18, 0) ,
    PRODUCTION_FLAG                   VARCHAR2(4)   ,
    VERSION_START_DATE                DATE          ,
    ITEM_NUMBER                       VARCHAR2(1200)    NOT NULL,
    BOM_ITEM_TYPE                     NUMBER            NOT NULL,
    ITEM_CATALOG_GROUP_ID             NUMBER(18, 0)     NOT NULL,
    VERSION_END_DATE                  DATE          ,
    PRIMARY_UOM_CODE                  VARCHAR2(12)  ,
    INDIVISIBLE_FLAG                  VARCHAR2(4)   ,
    ELIGIBILITY_COMPATIBILITY_RULE    VARCHAR2(4)   ,
    SERIAL_NUMBER_CONTROL_CODE        NUMBER        ,
    COMMS_NL_TRACKABLE_FLAG           VARCHAR2(4)   ,
    REPLENISH_TO_ORDER_FLAG           VARCHAR2(4)   ,
    INVENTORY_ITEM_STATUS_CODE        VARCHAR2(40)  ,
    EFFECTIVITY_CHANGE_DATE           DATE          ,
    DELETED_FLAG                      NUMBER            NOT NULL,
    SALES_PRODUCT_TYPE                VARCHAR2(120) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    INVENTORY_ITEM_ID                 NUMBER(18, 0) ,
    ORGANIZATION_ID                   NUMBER(18, 0) ,
    PRODUCTION_FLAG                   VARCHAR2(4)   ,
    VERSION_START_DATE                DATE          ,
    ITEM_NUMBER                       VARCHAR2(1200)    NOT NULL,
    BOM_ITEM_TYPE                     NUMBER            NOT NULL,
    ITEM_CATALOG_GROUP_ID             NUMBER(18, 0)     NOT NULL,
    VERSION_END_DATE                  DATE          ,
    PRIMARY_UOM_CODE                  VARCHAR2(12)  ,
    INDIVISIBLE_FLAG                  VARCHAR2(4)   ,
    ELIGIBILITY_COMPATIBILITY_RULE    VARCHAR2(4)   ,
    SERIAL_NUMBER_CONTROL_CODE        NUMBER        ,
    COMMS_NL_TRACKABLE_FLAG           VARCHAR2(4)   ,
    REPLENISH_TO_ORDER_FLAG           VARCHAR2(4)   ,
    EFFECTIVITY_CHANGE_DATE           DATE          ,
    DELETED_FLAG                      NUMBER            NOT NULL,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    INVENTORY_ITEM_STATUS_CODE        VARCHAR2(40)  ,
    SALES_PRODUCT_TYPE                VARCHAR2(120) ,
    CONSTRAINT pk_cz_ss_items_b PRIMARY KEY (INVENTORY_ITEM_ID, ORGANIZATION_ID, PRODUCTION_FLAG, VERSION_START_DATE, INVENTORY_ITEM_ID, ORGANIZATION_ID, PRODUCTION_FLAG, VERSION_START_DATE)
);
